%define name siglar
%define version 0.8.3
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Siglar is a small acronym creation tool
Source: 	http://www.geocities.com/jfernandes.bitalley/#Download/%{name}-%{version}.i386.tar.gz
License:	Freeware
Group:		Office
URL:		http://www.geocities.com/jfernandes.bitalley/
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

%description
Siglar is a simple and lightweight program, yet powerful and fast. 
It automaticaly creates many suggestions for new acronyms using
the initial letters of words or word parts in a phrase or name.
Siglar have many options to configure how it creates the acronyms
suggestions. The sugested aconyms can be copied to another
application or saved in a text file (utf-8 format). 

%prep
%setup -q -n %{name}-%{version}.i386

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
install -m 755 siglar %{buildroot}%{_bindir}/

mkdir -p %{buildroot}/opt/ba
mkdir -p %{buildroot}/opt/ba/siglar
cp -a *.bdl *.png %{buildroot}/opt/ba/siglar*
  
# menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Siglar
Comment=Acronym creation tool
Command=siglar
Exec=siglar
Icon=/opt/ba/siglar/siglar.png
Terminal=false 
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Utility;TextEditor;X-MandrivaLinux-Office-Accessories;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc authors.txt copying.txt license.txt readme.txt
%{_bindir}/*
%{_datadir}/applications/*.desktop
/opt/ba/%{name}/*

%changelog
* Sun May 24 2009 Texstar <texstar@gmail.com> 0.8.3-2pclos2009
- fix rpm group
- fix menu entry

* Sun Jul 20 2008 Slick50 <slick50@linuxgator.org> 0.8.3-1pclos2007
- Initial build for PCLinuxOS




